Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.geom
Class MultiLineString

    java.lang.Object
      com.vividsolutions.jts.geom.Geometry
          com.vividsolutions.jts.geom.GeometryCollection
              com.vividsolutions.jts.geom.MultiLineString

All Implemented Interfaces:
  Lineal, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable

    public class MultiLineString

extends GeometryCollection
implements Lineal

Models a collection of (@link LineString}s.

Any collection of LineStrings is a valid MultiLineString.

Version:
  1.7
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.vividsolutions.jts.geom.GeometryCollection
`geometries`

Fields inherited from class com.vividsolutions.jts.geom.Geometry
`envelope, factory, SRID`

Constructor Summary
`MultiLineString(LineString[] lineStrings, GeometryFactory factory)`
`MultiLineString(LineString[] lineStrings, PrecisionModel precisionModel, int SRID)` Deprecated. Use GeometryFactory instead

Method Summary
`boolean` | `equalsExact(Geometry other, double tolerance)` Returns true if the two `Geometry`s are exactly equal, up to a specified distance tolerance.
`Geometry` | `getBoundary()` Gets the boundary of this geometry.
`int` | `getBoundaryDimension()` Returns the dimension of this `Geometry`s inherent boundary.
`int` | `getDimension()` Returns the dimension of this geometry.
`java.lang.String` | `getGeometryType()` Returns the name of this object's `com.vivid.jts.geom` interface.
`boolean` | `isClosed()`
`Geometry` | `reverse()` Creates a `MultiLineString` in the reverse order to this object.

Methods inherited from class com.vividsolutions.jts.geom.GeometryCollection
`apply, apply, apply, apply, clone, compareToSameClass, compareToSameClass, computeEnvelopeInternal, getArea, getCoordinate, getCoordinates, getGeometryN, getLength, getNumGeometries, getNumPoints, isEmpty, normalize`

Methods inherited from class com.vividsolutions.jts.geom.Geometry
`buffer, buffer, buffer, checkNotGeometryCollection, compare, compareTo, compareTo, contains, convexHull, coveredBy, covers, crosses, difference, disjoint, distance, equal, equals, equals, equalsExact, equalsNorm, equalsTopo, geometryChanged, geometryChangedAction, getCentroid, getEnvelope, getEnvelopeInternal, getFactory, getInteriorPoint, getPrecisionModel, getSRID, getUserData, hashCode, hasNonEmptyElements, hasNullElements, intersection, intersects, isEquivalentClass, isGeometryCollection, isRectangle, isSimple, isValid, isWithinDistance, norm, overlaps, relate, relate, setSRID, setUserData, symDifference, toString, toText, touches, union, union, within`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultiLineString

    public MultiLineString(LineString[] lineStrings,
                           PrecisionModel precisionModel,
                           int SRID)

  Deprecated. Use GeometryFactory instead

  Constructs a `MultiLineString`.

  Parameters:
    `lineStrings` - the `LineString`s for this `MultiLineString` , or `null` or an empty array to create the empty geometry. Elements may be empty `LineString`s, but not `null` s.
    `precisionModel` - the specification of the grid of allowable points for this `MultiLineString`
    `SRID` - the ID of the Spatial Reference System used by this `MultiLineString`

### MultiLineString

    public MultiLineString(LineString[] lineStrings,
                           GeometryFactory factory)

Parameters:
  `lineStrings` - the `LineString`s for this `MultiLineString`, or `null` or an empty array to create the empty geometry. Elements may be empty `LineString`s, but not `null`s.

Method Detail

### getDimension

    public int getDimension()

  Description copied from class: `Geometry`
  Returns the dimension of this geometry. The dimension of a geometry is is the topological dimension of its embedding in the 2-D Euclidean plane. In the JTS spatial model, dimension values are in the set {0,1,2}.

  Note that this is a different concept to the dimension of the vertex `Coordinate`s. The geometry dimension can never be greater than the coordinate dimension. For example, a 0-dimensional geometry (e.g. a Point) may have a coordinate dimension of 3 (X,Y,Z).

  Overrides:
    `getDimension` in class `GeometryCollection`
  Returns:
    the topological dimension of this geometry.

### getBoundaryDimension

    public int getBoundaryDimension()

  Description copied from class: `Geometry`
  Returns the dimension of this `Geometry`s inherent boundary.

  Overrides:
    `getBoundaryDimension` in class `GeometryCollection`
  Returns:
    the dimension of the boundary of the class implementing this interface, whether or not this object is the empty geometry. Returns `Dimension.FALSE` if the boundary is the empty geometry.

### getGeometryType

    public java.lang.String getGeometryType()

  Description copied from class: `Geometry`
  Returns the name of this object's `com.vivid.jts.geom` interface.

  Overrides:
    `getGeometryType` in class `GeometryCollection`
  Returns:
    the name of this `Geometry`s most specific `com.vividsolutions.jts.geom` interface

### isClosed

    public boolean isClosed()

### getBoundary

    public Geometry getBoundary()

  Gets the boundary of this geometry. The boundary of a lineal geometry is always a zero-dimensional geometry (which may be empty).

  Overrides:
    `getBoundary` in class `GeometryCollection`
  Returns:
    the boundary geometry
  See Also:
    `Geometry.getBoundary()`

### reverse

    public Geometry reverse()

  Creates a `MultiLineString` in the reverse order to this object. Both the order of the component LineStrings and the order of their coordinate sequences are reversed.

  Overrides:
    `reverse` in class `GeometryCollection`
  Returns:
    a `MultiLineString` in the reverse order

### equalsExact

    public boolean equalsExact(Geometry other,
                               double tolerance)

  Description copied from class: `Geometry`
  Returns true if the two `Geometry`s are exactly equal, up to a specified distance tolerance. Two Geometries are exactly equal within a distance tolerance if and only if:
  - they have the same structure
  - they have the same values for their vertices, within the given tolerance distance, in exactly the same order.
  This method does not test the values of the `GeometryFactory`, the `SRID`, or the `userData` fields.

  To properly test equality between different geometries, it is usually necessary to `Geometry.normalize()` them first.

  Overrides:
    `equalsExact` in class `GeometryCollection`
  Parameters:
    `other` - the `Geometry` with which to compare this `Geometry`
    `tolerance` - distance at or below which two `Coordinate`s are considered equal
  Returns:
    `true` if this and the other `Geometry` have identical structure and point values, up to the distance tolerance.
  See Also:
    `Geometry.equalsExact(Geometry)`, `Geometry.normalize()`, `Geometry.norm()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD